
TYPO3.Flow - Bug # 41499

Status: Resolved Priority: Must have
Author: Christopher Hlubek Category:
Created: 2012-10-01 Assigned To: Christopher Hlubek
Updated: 2012-10-04 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.2 (master)
Subject: Class cache is not flushed from class changes
Description

An updated class file is picked up correctly from the file monitoring but the according cache entries are not flushed, since the file name
doesn't have the supposed layout after the PSR-0 refactoring.

Associated revisions
Revision 3d0a981f - 2012-10-03 23:43 - Christopher Hlubek

[BUGFIX] Fix monitoring of changed class files

This change fixes the resolving of the class name from a changed file
since the PSR-0 changes caused some problems with the assumption of
the class name layout in that place. The change keeps the old
behavior for test files since these are not yet updated to a new
layout.

Resolves: #41499
Releases: 1.2
Change-Id: Idc1d9d48998a0de0ecd07f834baa769ddf1e5ba4

History
#1 - 2012-10-01 19:25 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15199

#2 - 2012-10-01 19:37 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15199

#3 - 2012-10-03 23:43 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15199
#4 - 2012-10-04 00:35 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3d0a981f7c105641369793ae2eb847dafbd68d33.
